# Generated from levdon-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name levdon

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: AI(DeepLearning) contents filter library for mastodon
License: MIT
URL: https://www.leviadon.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rmagick) >= 2.16.0
# BuildRequires: rubygem(rmagick) < 2.17
# BuildRequires: rubygem(multipart-post) >= 2.0.0
# BuildRequires: rubygem(multipart-post) < 2.1
# BuildRequires: rubygem(streamio-ffmpeg) >= 3.0.2
# BuildRequires: rubygem(streamio-ffmpeg) < 3.1
BuildArch: noarch

%description
AI(DeepLearning) contents filter library for mastodon.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/denoise.rb
%{gem_instdir}/denoise.sh
%{gem_instdir}/example1.rb
%{gem_instdir}/example1.sh
%{gem_instdir}/example2.rb
%{gem_instdir}/example2.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/levdon.gemspec
%{gem_instdir}/test.rb
%{gem_instdir}/test.sh

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
